---
title: <mfrac>
slug: Web/MathML/Element/mfrac
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:General Layout Schemata'
---
<div>{{MathMLRef}}</div>

<p class="summary">The MathML <code>&lt;mfrac&gt;</code> element is used to display fractions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">&lt;mfrac&gt;<em>numerator</em> <em>denominator</em>&lt;/mfrac&gt;</pre>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-bevelled"><code>bevelled</code> {{deprecated_inline}}</dt>
 <dd>Specifies the way the fraction is displayed. If <code>true</code>, the fraction line is bevelled, which means that numerator and denominator are displayed side by side and separated by a slash (/). Otherwise, if set to <code>false</code> (which is the default value), numerator and denominator are on top of each other.<br>
 This attribute is deprecated and will be removed in the future. Use U+2044 (fraction slash) instead.</dd>
 <dt id="attr-class-id-style"><code>class</code>, <code>id</code>, <code>style</code></dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-denomalign"><code>denomalign</code> {{deprecated_inline}}</dt>
 <dd>The alignment of the denominator under the fraction. Possible values are: <code>left</code>, <code>center</code> (default), and <code>right</code>.<br>
 This attribute is deprecated and will be removed in the future. Use CSS <code><a href="/en-US/docs/Web/CSS/text-align">text-align</a></code> instead.</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-href"><code>href</code></dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-linethickness"><code>linethickness</code></dt>
 <dd>The thickness of the horizontal fraction line. This attributes accepts any <a href="/en-US/docs/CSS/length">length values</a>.<br>
 The values <code>medium</code>, <code>thin</code>, and <code>thick</code> are deprecated and will be removed in the future.</dd>
 <dt id="attr-mathbackground"><code>mathbackground</code></dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor"><code>mathcolor</code></dt>
 <dd>The text color and also the fraction line color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-numalign"><code>numalign</code> {{deprecated_inline}}</dt>
 <dd>The alignment of the numerator over the fraction. Possible values are: <code>left</code>, <code>center</code> (default), and <code>right</code>.<br>
 This attribute is deprecated and will be removed in the future. Use CSS <code><a href="/en-US/docs/Web/CSS/text-align">text-align</a></code> instead.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Sample rendering: <img alt="(a/b)/(c/d)" src="/files/3194/mfrac.png" style="margin-left: 10px; vertical-align: middle;"></p>

<p>Your browser rendering: <math> <mfrac bevelled="true"> <mfrac> <mi> a </mi> <mi> b </mi> </mfrac> <mfrac> <mi> c </mi> <mi> d </mi> </mfrac> </mfrac> </math></p>

<pre class="brush: html notranslate">&lt;math&gt;
  &lt;mfrac bevelled="true"&gt;
     &lt;mfrac&gt;
        &lt;mi&gt; a &lt;/mi&gt;
        &lt;mi&gt; b &lt;/mi&gt;
     &lt;/mfrac&gt;
     &lt;mfrac&gt;
        &lt;mi&gt; c &lt;/mi&gt;
        &lt;mi&gt; d &lt;/mi&gt;
     &lt;/mfrac&gt;
  &lt;/mfrac&gt;
&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#fractions-mfrac", "mfrac")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.mfrac', 'mfrac') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.mfrac', 'mfrac') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.mfrac")}}</p>
